#region author
// author: FengYi
//     QQ: 85807571
//  Email: fengyihot@qq.com
#endregion

using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Threading;

namespace WebSite.FengYi
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            Mutex mutex = new Mutex(false, "ThisShouldOnlyRunOnce");
            //判断互斥体是否使用中。 
            bool Running = !mutex.WaitOne(0, false);
            if (!Running)
            {
                Application.Run(new Main());
            }
            else
            {
                MessageBox.Show("WebSite 应用程序已经运行了！\n\n请先关闭或退出应用程序后，再次运行。");
            }
        }
    }
}
